Bug 79427 - Move ChromeClient::showContextMenu() to ContextMenuClient
: Move ChromeClient::showContextMenu() to ContextMenuClient
Status: RESOLVED FIXED
: WebKit
Platform
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 79054
  Show dependency treegraph
 
Reported: 2012-02-23 18:10 PST by
Modified: 2012-02-26 22:31 PST (History)


Attachments
Patch (17.75 KB, patch)
2012-02-23 18:19 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (35.04 KB, patch)
2012-02-23 22:50 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (35.04 KB, patch)
2012-02-24 01:59 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch (35.26 KB, patch)
2012-02-26 18:13 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing (35.21 KB, patch)
2012-02-26 20:50 PST, Hajime Morrita
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-23 18:10:18 PST
Looks like a historical artifact.
------- Comment #1 From 2012-02-23 18:19:01 PST -------
Created an attachment (id=128626) [details]
Patch
------- Comment #2 From 2012-02-23 18:21:00 PST -------
(From update of attachment 128626 [details])
Really?  Mac doesn't ever call this?
------- Comment #3 From 2012-02-23 18:26:39 PST -------
(From update of attachment 128626 [details])
Oops. I found there was only one place in accessibility... that's why chromium can build without this.
------- Comment #4 From 2012-02-23 22:50:36 PST -------
Created an attachment (id=128655) [details]
Patch
------- Comment #5 From 2012-02-24 01:59:39 PST -------
Created an attachment (id=128691) [details]
Patch
------- Comment #6 From 2012-02-26 18:13:12 PST -------
Created an attachment (id=128936) [details]
Patch
------- Comment #7 From 2012-02-26 20:14:03 PST -------
(From update of attachment 128936 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=128936&action=review

> Source/WebCore/ChangeLog:10
> +        This change localizes context menu relted code and will make it easy to

typo: relted
------- Comment #8 From 2012-02-26 20:50:47 PST -------
Created an attachment (id=128946) [details]
Patch for landing
------- Comment #9 From 2012-02-26 22:25:46 PST -------
The commit-queue encountered the following flaky tests while processing attachment 128946 [details]:

inspector/protocol/console-agent.html bug 79563 (authors: caseq@chromium.org, loislo@chromium.org, and pfeldman@chromium.org)
The commit-queue is continuing to process your patch.
------- Comment #10 From 2012-02-26 22:31:16 PST -------
(From update of attachment 128946 [details])
Clearing flags on attachment: 128946

Committed r108957: <http://trac.webkit.org/changeset/108957>
------- Comment #11 From 2012-02-26 22:31:22 PST -------
All reviewed patches have been landed.  Closing bug.